Imports Docs.Word



Public Class Sections_Columns
	Friend Shared Function Main1() As Document
		'	Open the document with given name
		Dim Doc As Document = Document.ReadDoc(Form1.SourceFolder + "Sections - Columns.doc")

		'	Add a new section with one paragraph
		Doc.AddSection()
		Dim Par As Paragraph = Doc.Sections(1).AddParagraph("New Paragraph")
		Par.Style.Spacings.SpacingBefore = 15

		'	Change the column properties of the first section
		Doc.Sections(0).SplitIntoColumns(3, 30, 60)
        Doc.Sections(0).Style.Columns.LinesBetween = True
		Doc.Sections(0).Style.SectionBreak = SectionBreakStyle.Continuous
		Doc.Sections(1).Style.SectionBreak = SectionBreakStyle.Continuous

		Return Doc
	End Function
End Class
